MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029140Open CASCADE[OCCT] OCCT:Samplespublic2017-09-25 16:382018-06-29 21:21
Reporterapn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029140: Samples - Viewer is not updated in MFC Modeling and Viewer3D samples
DescriptionViewer is not updated after erasing objects (button Erase) and operation Common (button Common) in mfc Modeling sample.
The same problem is in Viewer3D mfc sample after drawing sphere (button Sphere).
To update viewer it's necessary to click in the window.
Steps To Reproducelaunch mfc modeling
create any object and select it
click Erase

launch mfc viewer3d
create sphere
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0028088closedkgv Visualization, AIS_InteractiveContext - drop default value for Update Viewer parameter 

-  Notes
(0074510)
git (administrator)
2018-03-15 18:00

Branch CR29140 has been created by inv.

SHA-1: 47a176931abdcfb1f2716682eadd7f189b452e9d


Detailed log of new commits:

Author: bugmaster
Date: Thu Mar 15 18:00:29 2018 +0300

    0029140: Viewer is not updated in MFC Modeling and Viewer3D samples
(0074511)
bugmaster (administrator)
2018-03-15 18:02

Kirill,

Could you please revise correction
(0074516)
git (administrator)
2018-03-15 22:06

Branch CR29140 has been updated by kgv.

SHA-1: 1bad08f3b01858e6bc6b546c939fcc8d864d5cfa


Detailed log of new commits:

Author: kgv
Date: Thu Mar 15 22:06:35 2018 +0300

    OCC_3dBaseDoc::OnUpdateObjectDisplayall() - allow re-displaying hidden presentation of non-Shape types.
    OCC_3dBaseDoc::OnObjectErase() - removed redundant call AIS_InteractiveContext::ClearSelected().
    
    CModelingDoc::OnFuse(),::OnCommon(),::OnExplorer() - removed redundant
    viewer updates and add missing ones.

(0074517)
git (administrator)
2018-03-15 22:09

Branch CR29140_1 has been created by kgv.

SHA-1: 64f9742f023ed5bcff89f6a9c3ea126fe26fc558


Detailed log of new commits:

Author: inv
Date: Thu Mar 15 18:00:29 2018 +0300

    0029140: Samples - Viewer is not updated in MFC Modeling and Viewer3D samples
    
    OCC_3dBaseDoc::OnUpdateObjectDisplayall() - allow re-displaying hidden presentation of non-Shape types.
    OCC_3dBaseDoc::OnObjectErase() - removed redundant call AIS_InteractiveContext::ClearSelected().
    
    CModelingDoc::OnFuse(),::OnCommon(),::OnExplorer() - removed redundant
    viewer updates and add missing ones.
(0074518)
kgv (developer)
2018-03-15 22:11
edited on: 2018-03-15 22:11

I've have not found the patch fixing operation Common - the Viewer still was not updated at the end of demonstration.
The patch has been updated to fix this issue and couple of others similar.

(0074594)
git (administrator)
2018-03-19 10:05

Branch CR29140 has been deleted by kgv.

SHA-1: 1bad08f3b01858e6bc6b546c939fcc8d864d5cfa
(0074595)
git (administrator)
2018-03-19 10:05

Branch CR29140_1 has been deleted by kgv.

SHA-1: 64f9742f023ed5bcff89f6a9c3ea126fe26fc558

- Related Changesets
occt: master 50c47573
Timestamp: 2018-03-15 15:00:29
Author: inv
Committer: bugmaster
Details ] Diff ]
0029140: Samples - Viewer is not updated in MFC Modeling and Viewer3D samples

OCC_3dBaseDoc::OnUpdateObjectDisplayall() - allow re-displaying hidden presentation of non-Shape types.
OCC_3dBaseDoc::OnObjectErase() - removed redundant call AIS_InteractiveContext::ClearSelected().

CModelingDoc::OnFuse(),::OnCommon(),::OnExplorer() - removed redundant
viewer updates and add missing ones.
mod - samples/mfc/standard/02_Modeling/src/ModelingDoc.cpp Diff ] File ]
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dDoc.cpp Diff ] File ]
mod - samples/mfc/standard/Common/OCC_3dBaseDoc.cpp Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-25 16:38 apn New Issue
2017-09-25 16:38 apn Assigned To => bugmaster
2017-09-25 16:38 apn Status new => assigned
2017-09-25 16:43 apn Test case number => Not needed
2017-09-26 14:56 bugmaster Project OCCT => Open CASCADE
2018-03-15 18:00 git Note Added: 0074510
2018-03-15 18:02 bugmaster Note Added: 0074511
2018-03-15 18:02 bugmaster Assigned To bugmaster => kgv
2018-03-15 18:02 bugmaster Status assigned => resolved
2018-03-15 18:03 bugmaster Target Version 7.4.0* => 7.3.0
2018-03-15 22:06 git Note Added: 0074516
2018-03-15 22:07 kgv Summary Viewer is not updated in MFC Modeling and Viewer3D samples => Samples - Viewer is not updated in MFC Modeling and Viewer3D samples
2018-03-15 22:09 git Note Added: 0074517
2018-03-15 22:11 kgv Note Added: 0074518
2018-03-15 22:11 kgv Assigned To kgv => bugmaster
2018-03-15 22:11 kgv Status resolved => reviewed
2018-03-15 22:11 kgv Note Edited: 0074518 View Revisions
2018-03-16 00:03 kgv Relationship added child of 0028088
2018-03-16 14:20 bugmaster Status reviewed => tested
2018-03-18 13:21 bugmaster Changeset attached => occt master 50c47573
2018-03-18 13:21 bugmaster Status tested => verified
2018-03-18 13:21 bugmaster Resolution open => fixed
2018-03-19 10:05 git Note Added: 0074594
2018-03-19 10:05 git Note Added: 0074595
2018-06-29 21:16 user533 Fixed in Version => 7.3.0
2018-06-29 21:21 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker